From 7c04025cc3d89f8f17526d28f5490948dbf8433c Mon Sep 17 00:00:00 2001
From: Giovanni Bussi <giovanni.bussi@gmail.com>
Date: Tue, 9 Sep 2014 22:14:41 +0200
Subject: [PATCH] These modules should not be compulsory

plumed core can be compiled without these.

With this change it is necessary to solve a but in the script building the
list of modules to be tested. I took the occasion to simplify it.
Now, all the optional modules are checked, but if a directory is
not present in regtest/ that module is ignored.
---
 regtest/scripts/find_modules.sh | 38 +++++----------------------------
 src/molfile/module.type         |  2 +-
 src/reference/module.type       |  2 +-
 3 files changed, 7 insertions(+), 35 deletions(-)

diff --git a/regtest/scripts/find_modules.sh b/regtest/scripts/find_modules.sh
index b0890d43c..f77925f2e 100755
--- a/regtest/scripts/find_modules.sh
+++ b/regtest/scripts/find_modules.sh
@@ -6,41 +6,13 @@ do
     if [ "$(cat "$dir/module.type")" == always ] ; then
       continue
     fi
-#Check not colvar
-    if `echo $dir | grep colvar | grep -v multi 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not vatom
-    if `echo $dir | grep vatom 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not cltools
-    if `echo $dir | grep cltools 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not vesselbase
-    if `echo $dir | grep vesselbase 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not function
-    if `echo $dir | grep function 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not bias
-    if `echo $dir | grep bias 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not generic
-    if `echo $dir | grep setup 1>/dev/null 2>& 1` ; then
-       continue
-    fi
-# Check not setup
-    if `echo $dir | grep generic 1>/dev/null 2>& 1` ; then
-       continue
+    short="$(echo $dir | sed -e 's/..\/src\///g')"
+    if ! test -d $short ; then
+      continue
     fi
     case "$(cat "$dir/module.type")" in
-     (default-on) test -f $dir.off || echo $dir | sed -e 's/..\/src\///g';;
-     (default-off) test -f $dir.on && echo $dir | sed -e 's/..\/src\///g';;
+     (default-on) test -f $dir.off || echo $short ;;
+     (default-off) test -f $dir.on && echo $short ;;
     esac
 
 #    echo `echo $dir | sed -e 's/..\/src\///g'`
diff --git a/src/molfile/module.type b/src/molfile/module.type
index 0b31619da..fc25731b6 100644
--- a/src/molfile/module.type
+++ b/src/molfile/module.type
@@ -1 +1 @@
-always
+default-on
diff --git a/src/reference/module.type b/src/reference/module.type
index 0b31619da..fc25731b6 100644
--- a/src/reference/module.type
+++ b/src/reference/module.type
@@ -1 +1 @@
-always
+default-on
-- 
GitLab